<?php
/**
 * api/auth/??? 账户中心
 * User: easyboom
 * Date: 2019/2/20
 * Time: 下午4:35
 */

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

// 验证当前手机号-发送验证码
Route::put('/sendverify/current', 'Auth\AuthController@sendVerify2Current');
// 验证当前手机号-检验验证码
Route::post('/checkverify/current', 'Auth\AuthController@checkVerify2Current');

// 换绑手机号-发送验证码
Route::put('/sendverify/new', 'Auth\AuthController@sendVerify2New');
// 换绑手机号-检验验证码
Route::post('checkverify/new', 'Auth\AuthController@checkVerify2New');

// 绑定手机号
Route::post('bind/phone', 'Auth\AuthController@bindPhone');

// 冲突手机号换绑
Route::post('changephone', 'Auth\AuthController@changePhone');